Pix Automatic (Recurrence)
Get plan by ID
Retrieves a specific plan by its ID.
GET
/
v1.1
/
pix-automatic
/
plans
/
{planId}
Get plan by ID
curl --request GET \
--url https://api.paymee.com.br/v1.1/pix-automatic/plans/{planId} \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-token: <x-api-token>'import requests
url = "https://api.paymee.com.br/v1.1/pix-automatic/plans/{planId}"
headers = {
"x-api-key": "<x-api-key>",
"x-api-token": "<x-api-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-api-token': '<x-api-token>'}
};
fetch('https://api.paymee.com.br/v1.1/pix-automatic/plans/{planId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "success",
"id": "6851c0842bf40769ead1fde5",
"title": "Plano Premium Mensal",
"description": "Acesso completo a todas as funcionalidades da plataforma.",
"frequency": "MONTHLY",
"period": 1,
"imediateAmount": 49.9,
"recurrenceAmount": 29.9,
"minimumRecurrenceAmount": 29.9,
"retryPolicy": "ACCEPT_3R_7D",
"enabled": true,
"creation": "2025-06-17 19:22:44",
"totalAuthorizations": 7,
"authorizations": [
{
"id": 21,
"idRec": "RR286838922025061602541904516",
"status": "APPROVED",
"payer": {
"document": "00000000000",
"name": "JOHN DOE",
"ispb": "99999919"
},
"nextRecurrenceDate": "2025-07-19"
},
{
"id": 25,
"idRec": "RR286838922025061603533095545",
"status": "CANCELLED",
"payer": {
"document": "00000000000",
"name": "JOHN DOE",
"ispb": "99999919"
},
"nextRecurrenceDate": "2025-07-19"
}
]
}{
"errorCount": 1,
"errors": [
{
"error": "Forbidden",
"message": "Access Denied"
}
],
"message": "field validation failure",
"status": -1
}{
"status": 998,
"message": "plan not found",
"errorCount": 1,
"errors": [
{
"field": "planId",
"message": "non-existent plan"
}
]
}Headers
Example:
"your-x-api-key"
Example:
"your-x-api-token"
Path Parameters
ID of the plan to be retrieved.
Response
Plan data returned successfully.
Show child attributes
Show child attributes
⌘I
Get plan by ID

